Page MenuHomePhabricator
Paste P7141

P7140 fix - sort of
ActivePublic

Authored by Krenair on May 20 2018, 4:49 PM.
krenair@deployment-certcentral:~$ sudo -u www-data /usr/bin/uwsgi --die-on-term --ini /etc/uwsgi/apps-enabled/le-central.ini
[uWSGI] getting INI configuration from /etc/uwsgi/apps-enabled/le-central.ini
*** Starting uWSGI 2.0.14-debian (64bit) on [Sun May 20 16:47:15 2018] ***
compiled with version: 6.3.0 20170516 on 17 March 2018 15:41:47
os: Linux-4.9.0-5-amd64 #1 SMP Debian 4.9.65-3+deb9u2 (2018-01-04)
nodename: deployment-certcentral
machine: x86_64
clock source: unix
pcre jit disabled
detected number of CPU cores: 1
current working directory: /home/krenair
detected binary path: /usr/bin/uwsgi-core
*** WARNING: you are running uWSGI without its master process manager ***
your processes number limit is 7927
your memory page size is 4096 bytes
detected max file descriptor number: 1024
lock engine: pthread robust mutexes
thunder lock: disabled (you can enable it with --thunder-lock)
uwsgi socket 0 bound to UNIX address /run/uwsgi/le-central.sock fd 3
Python version: 3.5.3 (default, Jan 19 2017, 14:11:04) [GCC 6.3.0 20170118]
*** Python threads support is disabled. You can enable it with --enable-threads ***
Python main interpreter initialized at 0x561901892030
your server socket listen backlog is limited to 100 connections
your mercy for graceful operations on workers is 60 seconds
mapped 72768 bytes (71 KB) for 1 cores
*** Operational MODE: single process ***
WSGI app 0 (mountpoint='') ready in 0 seconds on interpreter 0x561901892030 pid: 30944 (default app)
*** uWSGI is running in multiple interpreter mode ***
spawned uWSGI worker 1 (and the only) (pid: 30944, cores: 1)
^CParsing account key...
Parsing CSR...
Registering account...
Traceback (most recent call last):
File "/usr/local/lib/python3.5/dist-packages/le-central/le-central.py", line 55, in certificate_management
signedCert = acme_tiny.get_crt('/etc/certcentral/acct.key', csr, '/etc/certcentral/http_challenges')
File "/usr/local/sbin/acme_tiny.py", line 107, in get_crt
"agreement": "https://letsencrypt.org/documents/LE-SA-v1.2-November-15-2017.pdf",
File "/usr/local/sbin/acme_tiny.py", line 69, in _send_signed_request
protected["nonce"] = urlopen(CA + "/directory").headers['Replay-Nonce']
File "/usr/lib/python3.5/urllib/request.py", line 163, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.5/urllib/request.py", line 466, in open
response = self._open(req, data)
File "/usr/lib/python3.5/urllib/request.py", line 484, in _open
'_open', req)
File "/usr/lib/python3.5/urllib/request.py", line 444, in _call_chain
result = func(*args)
File "/usr/lib/python3.5/urllib/request.py", line 1297, in https_open
context=self._context, check_hostname=self._check_hostname)
File "/usr/lib/python3.5/urllib/request.py", line 1223, in do_open
h = http_class(host, timeout=req.timeout, **http_conn_args)
File "/usr/lib/python3.5/http/client.py", line 1238, in __init__
context = ssl._create_default_https_context()
File "/usr/lib/python3.5/ssl.py", line 449, in create_default_context
context = SSLContext(PROTOCOL_TLS)
File "/usr/lib/python3.5/ssl.py", line 369, in __new__
self = _SSLContext.__new__(cls, protocol)
ssl.SSLError: ('failed to allocate SSL context',)
^Ckrenair@deployment-certcentral:~$ ^C
krenair@deployment-certcentral:~$ sudo -u www-data /usr/bin/uwsgi --die-on-term --ini /etc/uwsgi/apps-enabled/le-central.ini --enable-threads
[uWSGI] getting INI configuration from /etc/uwsgi/apps-enabled/le-central.ini
*** Starting uWSGI 2.0.14-debian (64bit) on [Sun May 20 16:47:40 2018] ***
compiled with version: 6.3.0 20170516 on 17 March 2018 15:41:47
os: Linux-4.9.0-5-amd64 #1 SMP Debian 4.9.65-3+deb9u2 (2018-01-04)
nodename: deployment-certcentral
machine: x86_64
clock source: unix
pcre jit disabled
detected number of CPU cores: 1
current working directory: /home/krenair
detected binary path: /usr/bin/uwsgi-core
*** WARNING: you are running uWSGI without its master process manager ***
your processes number limit is 7927
your memory page size is 4096 bytes
detected max file descriptor number: 1024
lock engine: pthread robust mutexes
thunder lock: disabled (you can enable it with --thunder-lock)
uwsgi socket 0 bound to UNIX address /run/uwsgi/le-central.sock fd 3
Python version: 3.5.3 (default, Jan 19 2017, 14:11:04) [GCC 6.3.0 20170118]
Python main interpreter initialized at 0x565165ab20b0
python threads support enabled
your server socket listen backlog is limited to 100 connections
your mercy for graceful operations on workers is 60 seconds
mapped 72768 bytes (71 KB) for 1 cores
*** Operational MODE: single process ***
WSGI app 0 (mountpoint='') ready in 0 seconds on interpreter 0x565165ab20b0 pid: 30956 (default app)
*** uWSGI is running in multiple interpreter mode ***
spawned uWSGI worker 1 (and the only) (pid: 30956, cores: 1)
Parsing account key...
Parsing CSR...
Registering account...
Registered!
Verifying krenair.hopto.org...
Traceback (most recent call last):
File "/usr/local/sbin/acme_tiny.py", line 151, in get_crt
resp = urlopen(wellknown_url, context=ctx)
File "/usr/lib/python3.5/urllib/request.py", line 163, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.5/urllib/request.py", line 472, in open
response = meth(req, response)
File "/usr/lib/python3.5/urllib/request.py", line 582, in http_response
'http', request, response, code, msg, hdrs)
File "/usr/lib/python3.5/urllib/request.py", line 510, in error
return self._call_chain(*args)
File "/usr/lib/python3.5/urllib/request.py", line 444, in _call_chain
result = func(*args)
File "/usr/lib/python3.5/urllib/request.py", line 590, in http_error_default
raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 502: Bad Gateway
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/local/lib/python3.5/dist-packages/le-central/le-central.py", line 55, in certificate_management
signedCert = acme_tiny.get_crt('/etc/certcentral/acct.key', csr, '/etc/certcentral/http_challenges')
File "/usr/local/sbin/acme_tiny.py", line 159, in get_crt
wellknown_path, wellknown_url))
ValueError: Wrote file to /etc/certcentral/http_challenges/-BgAsf2dlmsu_tOXksNWGbHPHIwi3IfXcg4sMH1Mm1Q, but couldn't download http://krenair.hopto.org/.well-known/acme-challenge/-BgAsf2dlmsu_tOXksNWGbHPHIwi3IfXcg4sMH1Mm1Q
^CParsing account key...
Parsing CSR...
Registering account...
!!! uWSGI process 30956 got Segmentation Fault !!!
*** backtrace of 30956 ***
/usr/bin/uwsgi(uwsgi_backtrace+0x35) [0x565164d35b85]
/usr/bin/uwsgi(uwsgi_segfault+0x23) [0x565164d35f53]
/lib/x86_64-linux-gnu/libc.so.6(+0x33030) [0x7f7bdd859030]
/usr/lib/x86_64-linux-gnu/libcrypto.so.1.1(ERR_put_error+0x23) [0x7f7bde0ccd93]
/usr/lib/x86_64-linux-gnu/libssl.so.1.1(OPENSSL_init_ssl+0x57) [0x7f7bde43fbb7]
/usr/lib/x86_64-linux-gnu/libssl.so.1.1(SSL_CTX_new+0x1e) [0x7f7bde442f4e]
/usr/lib/python3.5/lib-dynload/_ssl.cpython-35m-x86_64-linux-gnu.so(+0xeb9e) [0x7f7bd8fd1b9e]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(+0x8baf4) [0x7f7bd9daeaf4]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyCFunction_Call+0xe9) [0x7f7bd9d94279]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyEval_EvalFrameEx+0x8039) [0x7f7bd9ec56a9]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(+0x263f94) [0x7f7bd9f86f94]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyEval_EvalCodeEx+0x23) [0x7f7bd9f87073]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(+0xf7568) [0x7f7bd9e1a568]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyObject_Call+0x47) [0x7f7bd9ef69a7]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(+0x8c685) [0x7f7bd9daf685]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(+0x909a5) [0x7f7bd9db39a5]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyObject_Call+0x47) [0x7f7bd9ef69a7]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyEval_EvalFrameEx+0x3bed) [0x7f7bd9ec125d]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(+0x263f94) [0x7f7bd9f86f94]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyEval_EvalFrameEx+0x63df) [0x7f7bd9ec3a4f]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(+0x263f94) [0x7f7bd9f86f94]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyEval_EvalCodeEx+0x23) [0x7f7bd9f87073]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(+0xf7665) [0x7f7bd9e1a665]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyObject_Call+0x47) [0x7f7bd9ef69a7]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(+0x21f8cc) [0x7f7bd9f428cc]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyObject_Call+0x47) [0x7f7bd9ef69a7]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(+0x8c439) [0x7f7bd9daf439]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(+0x909e5) [0x7f7bd9db39e5]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyObject_Call+0x47) [0x7f7bd9ef69a7]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyEval_EvalFrameEx+0xf47) [0x7f7bd9ebe5b7]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(+0x263f94) [0x7f7bd9f86f94]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyEval_EvalFrameEx+0x63df) [0x7f7bd9ec3a4f]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(+0x263f94) [0x7f7bd9f86f94]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyEval_EvalCodeEx+0x23) [0x7f7bd9f87073]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(+0xf7568) [0x7f7bd9e1a568]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyObject_Call+0x47) [0x7f7bd9ef69a7]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyEval_EvalFrameEx+0xf47) [0x7f7bd9ebe5b7]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(+0x263f94) [0x7f7bd9f86f94]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyEval_EvalFrameEx+0x63df) [0x7f7bd9ec3a4f]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(+0x263f94) [0x7f7bd9f86f94]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyEval_EvalFrameEx+0x63df) [0x7f7bd9ec3a4f]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(+0x263f94) [0x7f7bd9f86f94]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyEval_EvalFrameEx+0x63df) [0x7f7bd9ec3a4f]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(+0x263f94) [0x7f7bd9f86f94]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyEval_EvalFrameEx+0x63df) [0x7f7bd9ec3a4f]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(+0x263f94) [0x7f7bd9f86f94]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyEval_EvalFrameEx+0x63df) [0x7f7bd9ec3a4f]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(+0x263f94) [0x7f7bd9f86f94]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyEval_EvalFrameEx+0x63df) [0x7f7bd9ec3a4f]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(+0x263f94) [0x7f7bd9f86f94]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyEval_EvalCodeEx+0x23) [0x7f7bd9f87073]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(+0xf7665) [0x7f7bd9e1a665]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyObject_Call+0x47) [0x7f7bd9ef69a7]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyEval_EvalFrameEx+0xf47) [0x7f7bd9ebe5b7]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyEval_EvalFrameEx+0x7fad) [0x7f7bd9ec561d]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyEval_EvalFrameEx+0x7fad) [0x7f7bd9ec561d]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(+0x263f94) [0x7f7bd9f86f94]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyEval_EvalCodeEx+0x23) [0x7f7bd9f87073]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(+0xf7568) [0x7f7bd9e1a568]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyObject_Call+0x47) [0x7f7bd9ef69a7]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(+0x21f8cc) [0x7f7bd9f428cc]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyObject_Call+0x47) [0x7f7bd9ef69a7]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(PyEval_CallObjectWithKeywords+0x47) [0x7f7bd9f85a97]
/usr/lib/x86_64-linux-gnu/libpython3.5m.so.1.0(+0x154492) [0x7f7bd9e77492]
*** end of backtrace ***
Segmentation fault